

<!--Your start code here-->
<div th:fragment="header" xmlns:th="http://www.w3.org/1999/xhtml"
     xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
    <div class="ui large menu" style="padding-left: 100px; background-color: #266db3">
        <a class="active item"  style="color:white;" th:text="#{navbar.menu.home}" th:href="@{/article}">
            Home
        </a>
        <a class="item" style="color:white;" th:text="#{navbar.menu.category}" th:href="@{/category}">
            Category
        </a>
        <div class="right menu">
            <div class="ui dropdown item">
                Language <i class="dropdown icon"></i>
                <div class="menu">
                        <a th:href="@{/{state}?lang=km(state=${state})}" class="item">Khmer</a>
                        <a th:href="@{/{state}?lang=en(state=${state})}" class="item">English</a>
                        <a th:href="@{/{state}?lang=kr(state=${state})}" class="item">Korea</a>
                </div>
            </div>
            <div sec:authorize="isAnonymous()">
                <div class="ui floating dropdown icon item">
                    <i class="user circle icon" style="font-size: 35px;"></i>
                    <div class="menu" style="font-size: 14px;">
                        <a class="item" th:href="@{/login}">
                            <i class="user plus icon"></i>ចុះឈ្មោះប្រើប្រាស់</a>
                        <div class="divider"></div>
                        <a class="item" th:href="@{/login}">
                            <i class="users icon"></i>ចូលប្រើប្រាស់</a>
                        <div class="divider"></div>
                        <a class="item" href="#">
                            <i class="help icon"></i> អំពីយើង</a>
                    </div>
                </div>
            </div>
            <div sec:authorize="isAuthenticated()">
                <div class="ui floating dropdown icon item">
                    <i class="user circle icon" style="font-size: 35px;"></i>
                    <div class="menu" style="font-size: 14px;">
                        <a class="item" th:href="@{/user/account}">
                            <i class="user plus icon"></i>ទំព័ររបស់ខ្ញំ</a>
                        <div class="divider"></div>
                        <form th:action="@{/logout}" method="POST">
                            <button class="ui compact labeled icon button" type="submit">
                                <i class="exit icon"></i>
                                Logout
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


